System.ServiceModel 4.0.0.0 System.Enum

The value of the enumeration is set on the property.

The longest prefix match criterion specified by requires that the destination address be matched by the largest number of leading address bits in the filter. The default value is .

Specifies the type of match semantics used by the dispatcher to route incoming messages to the correct endpoint.

- Field
  4.0.0.0
  System.ServiceModel.AddressFilterMode

  Using this value turns off the indigo2 address filter check. Any message, no matter what its WS-Adressing:To identity is accepted.

  Indicates a filter that matches on any address of an incoming message.

- Field
  4.0.0.0
  System.ServiceModel.AddressFilterMode

  Indicates a filter that does an exact match on the address of an incoming message.

- Field
  4.0.0.0
  System.ServiceModel.AddressFilterMode

  Indicates a filter does the longest prefix matches on the address of an incoming message.